summaryrefslogtreecommitdiffstats
path: root/academic/galculator
diff options
context:
space:
mode:
author Frank Caraballo2010-05-12 17:36:38 +0200
committer David Somero2010-05-12 17:36:38 +0200
commit5191e3fb5e69ddf19172957de9ddb279281d305c (patch)
treef0b07227d0a1ab8a8d545b5123ff55c3205fa557 /academic/galculator
parent4ec5abddd24bbb04217aba1ea47d40df73bb509c (diff)
downloadslackbuilds-5191e3fb5e69ddf19172957de9ddb279281d305c.tar.gz
academic/galculator: Updated for version 1.3.4
Diffstat (limited to 'academic/galculator')
-rw-r--r--academic/galculator/README6
-rw-r--r--academic/galculator/doinst.sh3
-rw-r--r--academic/galculator/galculator.SlackBuild50
-rw-r--r--academic/galculator/galculator.info8
-rw-r--r--academic/galculator/slack-desc18
5 files changed, 52 insertions, 33 deletions
diff --git a/academic/galculator/README b/academic/galculator/README
index 5667b63ab4..8d8e919537 100644
--- a/academic/galculator/README
+++ b/academic/galculator/README
@@ -1,3 +1,3 @@
-galculator is a GTK 2 based calculator with ordinary notation/reverse polish
-notation, a formula entry mode, different number bases (DEC, HEX, OCT, BIN)
-and different units of angular measure (DEG, RAD, GRAD).
+galculator is a GTK 2 based calculator with ordinary notation/reverse
+polish notation, a formula entry mode, different number bases (DEC,
+HEX, OCT, BIN) and different units of angular measure (DEG, RAD, GRAD)
diff --git a/academic/galculator/doinst.sh b/academic/galculator/doinst.sh
index 98d466d8b9..f364075896 100644
--- a/academic/galculator/doinst.sh
+++ b/academic/galculator/doinst.sh
@@ -1,3 +1,4 @@
if [ -x usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+ usr/bin/update-desktop-database -q usr/share/applications
fi
+
diff --git a/academic/galculator/galculator.SlackBuild b/academic/galculator/galculator.SlackBuild
index bd12d4fa24..4a214dbc4e 100644
--- a/academic/galculator/galculator.SlackBuild
+++ b/academic/galculator/galculator.SlackBuild
@@ -2,36 +2,57 @@
# Slackware build script for galculator
-# Written by Frank Caraballo <fecaraballo{at}gmail{dot}com>
-# No Guarantees. Use this SlackBuild at your own risk.
-# Public Domain
+# Copyright 2008, 2009 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=galculator
-VERSION=1.3.1
+VERSION=${VERSION:-1.3.4}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-PDOCS="ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO doc/shortcuts"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -40,10 +61,8 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --program-prefix="" \
- --program-suffix="" \
- --enable-shared=yes \
--enable-static=no \
+ --build=$ARCH-slackware-linux \
|| exit 1
make || exit 1
@@ -55,14 +74,13 @@ make install-strip DESTDIR=$PKG || exit 1
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO doc/shortcuts \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
-
-( cd $PKG/usr/share/pixmaps ; ln -sf galculator/galculator_48x48.png gnome-calc2.png )
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/galculator/galculator.info b/academic/galculator/galculator.info
index c42482239e..3caf64062a 100644
--- a/academic/galculator/galculator.info
+++ b/academic/galculator/galculator.info
@@ -1,8 +1,8 @@
PRGNAM="galculator"
-VERSION="1.3.1"
+VERSION="1.3.4"
HOMEPAGE="http://galculator.sourceforge.net/"
-DOWNLOAD="http://downloads.sourceforge.net/galculator/galculator-1.3.1.tar.bz2"
-MD5SUM="683a4f0c2cb3d1f56b4c5610fc495c5f"
+DOWNLOAD="http://downloads.sourceforge.net/galculator/galculator-1.3.4.tar.bz2"
+MD5SUM="d30e6fbf5947bb1c873bc9d5a21046f1"
MAINTAINER="Frank Caraballo"
EMAIL="fecaraballo{at}gmail{dot}com"
-APPROVED="rworkman"
+APPROVED="dsomero"
diff --git a/academic/galculator/slack-desc b/academic/galculator/slack-desc
index 53957e3ab5..ebdc198035 100644
--- a/academic/galculator/slack-desc
+++ b/academic/galculator/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
galculator: galculator (Scientific Calculator)
galculator:
-galculator: galculator is a GTK 2 based calculator with ordinary
-galculator: notation/reverse polish notation, a formula entry mode,
-galculator: different number bases (DEC, HEX, OCT, BIN) and different
-galculator: units of angular measure (DEG, RAD, GRAD).
+galculator: galculator is a GTK 2 based calculator with ordinary notation/reverse
+galculator: polish notation, a formula entry mode, different number bases (DEC,
+galculator: HEX, OCT, BIN) and different units of angular measure (DEG, RAD, GRAD)
galculator:
galculator: Homepage: http://galculator.sourceforge.net/
galculator:
galculator:
galculator:
+galculator: